////////////////////////////////////////////////////////
// CS2 ver4,0 JavaScriptサンプル


//▼ここから処理が開始されます


//イメージオブジェクトを作成
var img = new CsImage();

//プレーンオブジェクトを作成
var pl = new CsPlane( 800, 600, 0, 0, 0 );

//サウンドオブジェクトを作成
var sound = new CsSound();

//初期化関数を実行
Initialize( );


////////////////////////////////////////////////////////
// 初期化関数定義
function Initialize( )
{
	cfLog( "Initialize" );


	img.setPlane( pl );
	img.setBaseType( "scene" );
	//立ち絵を読み込む
	img.load( "ba01,1,1,1,1,1" );

	//BGMを読み込む
	sound.load("bgm01", "bgm");

	img.setPos( 800/2, 600/2 );
	img.setDisp( true );

	pl.setDisp( 1 );
	pl.setPos(  -400 );

	//BGMを再生
	sound.play(1);

	//ここでMove開始
	pl.motMove( 300, 400 );
}

////////////////////////////////////////////////////////
// ゲームループ（デフォルト）
function GameLoop( frame )
{
	// Moveが終了するまで待つ
	if( !cfIsExecMotion( pl ) )
	{
		img.disp = 0;
		pl.setDisp( 0 );

		//BGM停止
		sound.stop();

		//呼び出し元へ処理を戻す
		cfExit( 0 );
	}
}
